RPM Community Forums

Mailing List Message of <rpm-users>

Re: Can't install RPM because I get an error with system.h

From: <andrejfavia@ml1.net>
Date: Sun 24 Aug 2014 - 01:55:06 CEST
Message-Id: <1408838106.2001159.156028829.6DBF06D4@webmail.messagingengine.com>
What's clang?


----- Original message -----
From: Eric MSP Veith <eveith@gnyu-linux.org>
To: rpm-users@rpm5.org
Subject: Re: Can't install RPM because I get an error with system.h
Date: Sat, 23 Aug 2014 17:55:12 +0200


>> However, when I run "make", I receive the following error messages:
>> 
>> In file included from fts.c:64:0:
>> ../system.h:123:3: error: expected identifier or '(' before '{' token
>>   { if ((__progname = strrchr(pn, '/')) != NULL) __progname++;    ^
>> make[2]: *** [fts.lo] Error 1
>> make[1]: *** [all-recursive] Error 1
>> make: *** [all] Error 2

Do you use clang?

--- Eric

______________________________________________________________________
RPM Package Manager                                    http://rpm5.org
User Communication List                             rpm-users@rpm5.org
Received on Sun Aug 24 01:55:09 2014
Driven by Jeff Johnson and the RPM project team.
Hosted by OpenPKG and Ralf S. Engelschall.
Powered by FreeBSD and OpenPKG.